### Function

# Gimp gradient_segment_get_middle_pos

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_get_middle_pos (
      const gchar* name,
      gint segment,
      gdouble* pos
    )

#### Description [src]

Retrieves the middle point position of the specified segment

This procedure retrieves the middle point position of the specified segment of the specified gradient.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The gradient name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`segment`

  Type: `gint`

  The index of the segment within the gradient.

`pos`

  Type: `gdouble*`

  The return position.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.